#GAMERULES
gamerule doImmediateRespawn true
gamerule announceAdvancements false
gamerule trulyUnique true
gamerule colossusRespawn true
gamerule keepInventory false
gamerule hardcoreRace true

#RACES
scoreboard objectives add playerRace dummy
	execute unless score #raceMax playerRace matches 0.. run scoreboard players set #raceMax playerRace 13

#ADDONS
scoreboard objectives add TensuraAddon dummy
	#ANI'S TENSURA ADDON
	execute unless score anitensura TensuraAddon matches 1.. store success score anitensura TensuraAddon run datapack disable "mod:anitensura"
		execute if score anitensura TensuraAddon matches 1 run datapack enable "mod:anitensura"
		execute if score anitensura TensuraAddon matches 1 unless score #anitensura playerRace matches 0.. store success score #anitensura playerRace run scoreboard players add #raceMax playerRace 2
	#MYSTICISM ADDON
	execute unless score trmysticism TensuraAddon matches 1.. store success score trmysticism TensuraAddon run datapack disable "mod:trmysticism"
		execute if score trmysticism TensuraAddon matches 1 run datapack enable "mod:trmysticism"
		execute if score trmysticism TensuraAddon matches 1 unless score #trmysticism playerRace matches 0.. store success score #trmysticism playerRace run scoreboard players add #raceMax playerRace 5
	

#TOGGLES
scoreboard objectives add deathReset dummy
	execute unless score #true deathReset matches 0.. run scoreboard players set #true deathReset 1

#SCOREBOARDS
scoreboard objectives add playerDeath deathCount
scoreboard objectives add showDeath deathCount
	scoreboard objectives setdisplay list showDeath
scoreboard objectives add uniqueAcquired dummy
scoreboard objectives add uniqueMax dummy
scoreboard objectives add prestigeAdded dummy
scoreboard objectives add prestigeTimer dummy
	
	#WORKING TRULY UNIQUE
	scoreboard objectives add trulyUnique dummy
		execute unless score absolute_severance trulyUnique matches 0.. run scoreboard players set absolute_severance trulyUnique 0
		execute unless score anti_skill trulyUnique matches 0.. run scoreboard players set anti_skill trulyUnique 0
		execute unless score berserk trulyUnique matches 0.. run scoreboard players set berserk trulyUnique 0
		execute unless score berserker trulyUnique matches 0.. run scoreboard players set berserker trulyUnique 0
		execute unless score bewilder trulyUnique matches 0.. run scoreboard players set bewilder trulyUnique 0
		execute unless score chef trulyUnique matches 0.. run scoreboard players set chef trulyUnique 0
		execute unless score chosen_one trulyUnique matches 0.. run scoreboard players set chosen_one trulyUnique 0
		execute unless score commander trulyUnique matches 0.. run scoreboard players set commander trulyUnique 0
		execute unless score cook trulyUnique matches 0.. run scoreboard players set cook trulyUnique 0
		execute unless score creator trulyUnique matches 0.. run scoreboard players set creator trulyUnique 0
		execute unless score degenerate trulyUnique matches 0.. run scoreboard players set degenerate trulyUnique 0
		execute unless score divine_berserker trulyUnique matches 0.. run scoreboard players set divine_berserker trulyUnique 0
		execute unless score engorger trulyUnique matches 0.. run scoreboard players set engorger trulyUnique 0
		execute unless score envy trulyUnique matches 0.. run scoreboard players set envy trulyUnique 0
		execute unless score falsifier trulyUnique matches 0.. run scoreboard players set falsifier trulyUnique 0
		execute unless score fighter trulyUnique matches 0.. run scoreboard players set fighter trulyUnique 0
		execute unless score fusionist trulyUnique matches 0.. run scoreboard players set fusionist trulyUnique 0
		execute unless score gluttony trulyUnique matches 0.. run scoreboard players set gluttony trulyUnique 0
		execute unless score godly_craftsman trulyUnique matches 0.. run scoreboard players set godly_craftsman trulyUnique 0
		execute unless score gourmand trulyUnique matches 0.. run scoreboard players set gourmand trulyUnique 0
		execute unless score gourmet trulyUnique matches 0.. run scoreboard players set gourmet trulyUnique 0
		execute unless score great_sage trulyUnique matches 0.. run scoreboard players set great_sage trulyUnique 0
		execute unless score greed trulyUnique matches 0.. run scoreboard players set greed trulyUnique 0
		execute unless score guardian trulyUnique matches 0.. run scoreboard players set guardian trulyUnique 0
		execute unless score healer trulyUnique matches 0.. run scoreboard players set healer trulyUnique 0
		execute unless score infinity_prison trulyUnique matches 0.. run scoreboard players set infinity_prison trulyUnique 0
		execute unless score lust trulyUnique matches 0.. run scoreboard players set lust trulyUnique 0
		execute unless score martial_master trulyUnique matches 0.. run scoreboard players set martial_master trulyUnique 0
		execute unless score mathmatician trulyUnique matches 0.. run scoreboard players set mathmatician trulyUnique 0
		execute unless score merciless trulyUnique matches 0.. run scoreboard players set merciless trulyUnique 0
		execute unless score murderer trulyUnique matches 0.. run scoreboard players set murderer trulyUnique 0
		execute unless score musician trulyUnique matches 0.. run scoreboard players set musician trulyUnique 0
		execute unless score observer trulyUnique matches 0.. run scoreboard players set observer trulyUnique 0
		execute unless score oppressor trulyUnique matches 0.. run scoreboard players set oppressor trulyUnique 0
		execute unless score predator trulyUnique matches 0.. run scoreboard players set predator trulyUnique 0
		execute unless score pride trulyUnique matches 0.. run scoreboard players set pride trulyUnique 0
		execute unless score reaper trulyUnique matches 0.. run scoreboard players set reaper trulyUnique 0
		execute unless score reflector trulyUnique matches 0.. run scoreboard players set reflector trulyUnique 0
		execute unless score researcher trulyUnique matches 0.. run scoreboard players set researcher trulyUnique 0
		execute unless score reverser trulyUnique matches 0.. run scoreboard players set reverser trulyUnique 0
		execute unless score royal_beast trulyUnique matches 0.. run scoreboard players set royal_beast trulyUnique 0
		execute unless score seer trulyUnique matches 0.. run scoreboard players set seer trulyUnique 0
		execute unless score severer trulyUnique matches 0.. run scoreboard players set severer trulyUnique 0
		execute unless score shadow_striker trulyUnique matches 0.. run scoreboard players set shadow_striker trulyUnique 0
		execute unless score sloth trulyUnique matches 0.. run scoreboard players set sloth trulyUnique 0
		execute unless score sniper trulyUnique matches 0.. run scoreboard players set sniper trulyUnique 0
		execute unless score spearhead trulyUnique matches 0.. run scoreboard players set spearhead trulyUnique 0
		execute unless score starved trulyUnique matches 0.. run scoreboard players set starved trulyUnique 0
		execute unless score suppressor trulyUnique matches 0.. run scoreboard players set suppressor trulyUnique 0
		execute unless score survivor trulyUnique matches 0.. run scoreboard players set survivor trulyUnique 0
		execute unless score thrower trulyUnique matches 0.. run scoreboard players set thrower trulyUnique 0
		execute unless score traveler trulyUnique matches 0.. run scoreboard players set traveler trulyUnique 0
		execute unless score tuner trulyUnique matches 0.. run scoreboard players set tuner trulyUnique 0
		execute unless score unyielding trulyUnique matches 0.. run scoreboard players set unyielding trulyUnique 0
		execute unless score usurper trulyUnique matches 0.. run scoreboard players set usurper trulyUnique 0
		execute unless score villain trulyUnique matches 0.. run scoreboard players set villain trulyUnique 0
		execute unless score wrath trulyUnique matches 0.. run scoreboard players set wrath trulyUnique 0
		